Grid Queries(3)

NAME
Grid Queries -

  Functions

nvmlReturn_t DECLDIR nvmlDeviceGetVirtualizationMode (nvmlDevice_t device, nvmlGpuVirtualizationMode_t *pVirtualMode)

Detailed Description

This chapter describes NVML operations that are associated with NVIDIA GRID products.

Function Documentation

  nvmlReturn_t DECLDIR nvmlDeviceGetVirtualizationMode (nvmlDevice_t device, nvmlGpuVirtualizationMode_t * pVirtualMode)

This method is used to get the virtualization mode corresponding to the GPU.

For Kepler (TM) or newer fully supported devices.

Parameters:
    device Identifier of the target device
    pVirtualMode Reference to virtualization mode. One of NVML_GPU_VIRTUALIZATION_?

Returns:

    •   NVML_SUCCESS if pVirtualMode is fetched

    •   NVML_ERROR_UNINITIALIZED if the library has not been successfully initialized

    •   NVML_ERROR_INVALID_ARGUMENT if device is invalid or pVirtualMode is NULL

    •   NVML_ERROR_GPU_IS_LOST if the target GPU has fallen off the bus or is otherwise inaccessible

    •   NVML_ERROR_UNKNOWN on any unexpected error

Author

Generated automatically by Doxygen for NVML from the source code.